Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Meetings

Added new SIP related APIs

API releaseDeprecation

Summary:Eight new SIP phone related APIs; new response fields in **Meetings** APIs & webhooks, **Cloud Recordings** APIs, and a **Webinars** API; eight deprecated SIP phone related APIs.

Added

  • New SIP Phone APIs:
    • DELETE /v2/sip_phones/phones/{phoneId}
    • DELETE /v2/accounts/{accountId}/sip_phones/phones/{phoneId}
    • GET /v2/sip_phones/phones
    • GET /v2/accounts/{accountId}/sip_phones/phones
    • POST /v2/sip_phones/phones
    • POST /v2/accounts/{accountId}/sip_phones/phones
    • PATCH /v2/sip_phones/phones/{phoneId}
    • PATCH /v2/accounts/{accountId}/sip_phones/phones/{phoneId}

Changed

  • New who_can_ask_questions and who_will_receive_summary response fields in these Meetings APIs:
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
    • GET /v2/meetings/{meetingId}
    • GET /v2/accounts/{accountId}/meetings/{meetingId}
  • New who_can_ask_questions and who_will_receive_summary request fields in these Meetings APIs:
    • POST /v2/users/{userId}/meetings
    • POST /v2/accounts/{accountId}/users/{userId}/meetings
    • PATCH /v2/meetings/{meetingId}
    • PATCH /v2/accounts/{accountId}/meetings/{meetingId}
  • New who_can_ask_questions and who_will_receive_summary fields in this Meetings webhook event:
    • meeting.updated
  • New disable_video and disable_audio request fields in this Webinars API:
    • POST /v2/webinars/{webinarId}/invite_links
  • New rc_meeting_zone_name and zone_instance_id response fields in these Cloud Recording APIs:
    • GET /v2/accounts/{accountId}/meetings/{meetingId}/recordings
    • GET /v2/meetings/{meetingId}/recordings
    • GET /v2/accounts/{accountId}/users/{userId}/recordings
    • GET /v2/users/{userId}/recordings

Deprecated

  • GET /v2/accounts/{accountId}/sip_phones
  • GET /v2/sip_phones
  • DELETE /v2/accounts/{accountId}/sip_phones/{phoneId}
  • DELETE /v2/sip_phones/{phoneId}
  • PATCH /v2/accounts/{accountId}/sip_phones/{phoneId}
  • PATCH /v2/sip_phones/{phoneId}
  • POST /v2/accounts/{accountId}/sip_phones
  • POST /v2/sip_phones